%Johann Pototschnig, Forttgeschrittene Aplikationssoftware, Ws 2010/2011

%________________________________________________Initialisierung
close all;
data=struct();

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% pV - Diagramm

data.pvdiagramm=figure;
set(data.pvdiagramm,'CloseRequestFcn','data  = pvcallback(data);');

data.ax=axes('position',[0,0,1,1]);
set(data.ax,'visible','off');

%%%%%%%%%%%%%%%%%%%%%%%%%%% Eingaben
%___________________________Startpunkt
data.tes=text(0.13,0.32,'Startpunkt' );

data.tes1=text(0.05,0.25,'Temperatur [K]:' );  
data.eds1=uicontrol('STYLE','edit', ....
                   'units','normalized',...
                   'Position',[0.2,0.23,0.2,0.05],...
                    'Callback','data=testcallback(data,1);'); 
set(data.eds1,'string','300');

data.tes2=text(0.05,0.20,'Druck [Pa]:' );  
data.eds2=uicontrol('STYLE','edit', ....
                   'units','normalized',...
                   'Position',[0.17,0.175,0.2,0.05],...
                    'Callback','data=testcallback(data,2);'); 
set(data.eds2,'string','100000');

data.tes3=text(0.05,0.15,'Volumen [m^3]:' );  
data.eds3=uicontrol('STYLE','edit', ....
                   'units','normalized',...
                   'Position',[0.2,0.12,0.2,0.05],...
                    'Callback','data=testcallback(data,3);'); 
set(data.eds3,'string','10');

data.tes4=text(0.05,0.08,'Polytropenexponent: ' );  
data.eds4=uicontrol('STYLE','edit', ....
                   'units','normalized',...
                   'Position',[0.26,0.06,0.2,0.05],...
                    'Callback','data=testcallback(data,4);'); 
set(data.eds4,'string','1.25');
%_________________________________adiabatischer Wert
data.adiabatisch_text=text(0.01,0.03,'Adiabatisch:' );   
data.adiabatisch_gam=uicontrol('STYLE','checkbox', ....
                   'units','normalized',....
                   'Position',[0.13,0.01,0.13,0.05],...
                   'string','gamma',...
                   'Callback','data=adiab_checkbox(data,1);'); 
data.adiabatisch_cv=uicontrol('STYLE','checkbox', ....
                   'units','normalized',....
                   'Position',[0.26,0.01,0.1,0.05],...
                   'string','c_V',...
                   'Callback','data=adiab_checkbox(data,2);'); 
data.adiabatisch_cp=uicontrol('STYLE','checkbox', ....
                   'units','normalized',....
                   'Position',[0.36,0.01,0.1,0.05],...
                   'string','c_p',...
                   'Callback','data=adiab_checkbox(data,3);'); 
data.adiabatisch_einheit=text(0.63,0.03,'J/mol/K');   

set(data.adiabatisch_cv,'value',1);
data.adiabtisch_wahl=2;


data.eds5=uicontrol('STYLE','edit', ....
                   'units','normalized',...
                   'Position',[0.47,0.01,0.15,0.05],...
                    'Callback','data=testcallback(data,5);'); 
set(data.eds5,'string','20');

%___________________________Endpunkt

data.tee=text(0.60,0.32,'Endpunkt' );
data.cbe1=uicontrol('STYLE','checkbox', ....
                   'units','normalized',...
                   'Position',[0.45,0.25,0.2,0.05],...
                   'string','Volumen',...
                   'Callback','data=cbcallback(data,2,1);'); 
data.cbe2=uicontrol('STYLE','checkbox', ....
                   'units','normalized',...
                   'Position',[0.45,0.2,0.2,0.05],...
                   'string','Druck',...
                   'Value',[1],...
                   'Callback','data=cbcallback(data,2,2);');
data.cbe3=uicontrol('STYLE','checkbox', ....
                   'units','normalized',...
                   'Position',[0.45,0.15,0.2,0.05],...
                   'string','Temperatur',...
                   'Callback','data=cbcallback(data,2,3);'); 
               
data.ede=uicontrol('STYLE','edit',...
                   'units','normalized',....
                   'Position',[0.65,0.18,0.1,0.05],...
                    'Callback','data=testcallback(data,6);');             
set(data.ede,'string','10000');

data.tee=text(0.65,0.26,'Druck [Pa]:');

%%%%%%%%%%%%%%%%%%%% pV - Graphik


data.ax1=axes('position',[0.1,0.4,0.8,0.5]);
data.pl1=plot(1:100,zeros(1,100),'b');
hold on
data.pl2=plot(1:100,zeros(1,100),'r');
data.pl3=plot(1:100,zeros(1,100),'g');
data.pl4=plot(1:100,zeros(1,100),'m');

title('p V -Diagramm');
legend('show');
legend('location','best');
grid on

data.but=uicontrol('STYLE','pushbutton', ....
                   'units','normalized',...
                   'Position',[0.75,0.01,0.25,0.1], ...
                   'String','Zeichnen',...
                   'Callback','data=zcallback(data);');
               
%%%%%%%%%%%%%%%%%%%%%%%%% TS - Diagramm

data.Tsdiagramm=figure;
set(data.Tsdiagramm,'CloseRequestFcn','data=tscallback(data);');

data.nax=axes('position',[0,0,1,1]);
set(data.nax,'visible','off');

%%%%%%%%%%%  Eingaben
Zeilen=['dU';'dW';'dQ';'dS';'V=';'p=';'T='];

dbox=120;
data.tab1=uitable('units','normalized',...
    'position',[0.01,0.01,0.99,0.38], ...
    'data', zeros(7,4),...
    'Rowname',Zeilen,....
    'columnwidth', {dbox,dbox,dbox,dbox});

%%%%%%%%%%%%%%%%%%%%%%% TS -Grapghik
data.nax1=axes('position',[0.05,0.45,0.9,0.5]);

data.npl1=plot(1:100,zeros(1,100),'b');
hold on
data.npl2=plot(1:100,zeros(1,100),'r');
data.npl3=plot(1:100,zeros(1,100),'g');
data.npl4=plot(1:100,zeros(1,100),'m');
title('T - S Diagramm');
legend('show');
legend('location','best');
grid on















