function [ data ] = zcallback( data )
%Verwendet die Eingaben um alles zu berechnen / beliebige Molzahl
  points=1000;

%%%%%%%%%%%%%%%%%%%%%%%%%?bernehmen der Eingaben
  T1=get(data.eds1,'string');
  T1=str2num(T1);
  
  V1=get(data.eds3,'string');
  V1=str2num(V1);
  
  p1=get(data.eds2,'string');
  p1=str2num(p1);
  
  gam=get(data.eds4,'string');
  gam=str2num(gam);
  
  R=8.314;
  switch data.adiabtisch_wahl
    case 1
        kap=get(data.eds5,'string');
        kap=str2num(kap);
        cv=R/(kap-1);
        cp=cv*kap;
    case 2
        cv=get(data.eds5,'string');
        cv=str2num(cv);
        cp=cv+R;
        kap=cp/cv;
    case 3
        cp=get(data.eds5,'string');
        cp=str2num(cp);
        cv=cp-R;
        kap=cp/cv;
  end        

data.cv=cv;
data.cp=cp;
data.kap=kap; %Adiabatenexponent
  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Endpunktangabe
  
  hi=get(data.cbe1,'value');
  if(hi)
      efall=3;
  else
      hi=get(data.cbe2,'value');
      if(hi)
          efall=2;
      else
          efall=1;
      end
  end
  
  wert=get(data.ede,'string');
  wert=str2num(wert);
  
  %%%%%%%%%%% Auswerten f?r verschiedene F?lle
  switch efall
      case 3  %Volumen
          %polytrop
          [T2p,p2p,V2p,dUp,dWp,dQp,dSp,pv,Vv,Sv,Tv]=poly(T1,p1,V1,gam,cv,efall,wert,points);
          set(data.pl1,'xdata',pv,'ydata',Vv);
          set(data.pl1,'Displayname','polytrop');
          set(data.npl1,'xdata',Sv,'ydata',Tv);
          set(data.npl1,'Displayname','polytrop');
          
          %adiabatisch
          [T2a,p2a,V2a,dUa,dWa,dQa,dSa,pv,Vv,Sv,Tv]=adiab(T1,p1,V1,kap,efall,wert,points);
          set(data.pl2,'xdata',pv,'ydata',Vv);
          set(data.pl2,'Displayname','adiabatisch');
          set(data.npl2,'xdata',Sv,'ydata',Tv);
          set(data.npl2,'Displayname','adiabatisch');
          
          %isobar
          [T2i,p2i,V2i,dUi,dWi,dQi,dSi,pv,Vv,Sv,Tv]=isob(T1,p1,V1,cp,efall,wert,points);
          set(data.pl3,'xdata',pv,'ydata',Vv);
          set(data.pl3,'Displayname','isobar');
          set(data.npl3,'xdata',Sv,'ydata',Tv);
          set(data.npl3,'Displayname','isobar');
          
          %isotherm
          [T2t,p2t,V2t,dUt,dWt,dQt,dSt,pv,Vv,Sv,Tv]= isoth(T1,p1,V1,efall,wert,points );
          set(data.pl4,'xdata',pv,'ydata',Vv);
          set(data.pl4,'Displayname','isotherm');
          set(data.npl4,'xdata',Sv,'ydata',Tv);
          set(data.npl4,'Displayname','isotherm');
          
          %Ausgabe
          Zeilen=['polyt.';'adiab.';'isoba.';'isoth.'];
          set(data.tab1,'Columnname',Zeilen);
          berWert=zeros(7,4);
          berWert(1:end,1)=[dUp;dWp;dQp;dSp;V2p;p2p;T2p];
          berWert(1:end,2)=[dUa;dWa;dQa;dSa;V2a;p2a;T2a];
          berWert(1:end,3)=[dUi;dWi;dQi;dSi;V2i;p2i;T2i];
          berWert(1:end,4)=[dUt;dWt;dQt;dSt;V2t;p2t;T2t];
          set(data.tab1,'data',berWert);
      case 2 % Druck
          %polytrop
          [T2p,p2p,V2p,dUp,dWp,dQp,dSp,pv,Vv,Sv,Tv]=poly(T1,p1,V1,gam,cv,efall,wert,points);
          set(data.pl1,'xdata',pv,'ydata',Vv);
          set(data.pl1,'Displayname','polytrop');
          set(data.npl1,'xdata',Sv,'ydata',Tv);
          set(data.npl1,'Displayname','polytrop');
          
          %adiabatisch
          [T2a,p2a,V2a,dUa,dWa,dQa,dSa,pv,Vv,Sv,Tv]=adiab(T1,p1,V1,kap,efall,wert,points);
          set(data.pl2,'xdata',pv,'ydata',Vv);
          set(data.pl2,'Displayname','adiabatisch');
          set(data.npl2,'xdata',Sv,'ydata',Tv);
          set(data.npl2,'Displayname','adiabatisch');
          
          %isochor
          [T2i,p2i,V2i,dUi,dWi,dQi,dSi,pv,Vv,Sv,Tv]= isochor(T1,p1,V1,cv,efall,wert,points);
          set(data.pl3,'xdata',pv,'ydata',Vv);
          set(data.pl3,'Displayname','isochor');
          set(data.npl3,'xdata',Sv,'ydata',Tv);
          set(data.npl3,'Displayname','isochor');
          
          %isotherm
          [T2t,p2t,V2t,dUt,dWt,dQt,dSt,pv,Vv,Sv,Tv]= isoth(T1,p1,V1,efall,wert,points );
          set(data.pl4,'xdata',pv,'ydata',Vv);
          set(data.pl4,'Displayname','isotherm');
          set(data.npl4,'xdata',Sv,'ydata',Tv);
          set(data.npl4,'Displayname','isotherm');

          
          %Ausgabe
          Zeilen=['polyt.';'adiab.';'isoch.';'isoth.'];
          set(data.tab1,'Columnname',Zeilen);
          berWert=zeros(7,4);
          berWert(1:end,1)=[dUp;dWp;dQp;dSp;V2p;p2p;T2p];
          berWert(1:end,2)=[dUa;dWa;dQa;dSa;V2a;p2a;T2a];
          berWert(1:end,3)=[dUi;dWi;dQi;dSi;V2i;p2i;T2i];
          berWert(1:end,4)=[dUt;dWt;dQt;dSt;V2t;p2t;T2t];
          set(data.tab1,'data',berWert);
      case 1 % Temperatur
          %polytrop
          [T2p,p2p,V2p,dUp,dWp,dQp,dSp,pv,Vv,Sv,Tv]=poly(T1,p1,V1,gam,cv,efall,wert,points);
          set(data.pl1,'xdata',pv,'ydata',Vv);
          set(data.pl1,'Displayname','polytrop');
          set(data.npl1,'xdata',Sv,'ydata',Tv);
          set(data.npl1,'Displayname','polytrop');
          
          %adiabatisch
          [T2a,p2a,V2a,dUa,dWa,dQa,dSa,pv,Vv,Sv,Tv]=adiab(T1,p1,V1,kap,efall,wert,points);
          set(data.pl2,'xdata',pv,'ydata',Vv);
          set(data.pl2,'Displayname','adiabatisch');
          set(data.npl2,'xdata',Sv,'ydata',Tv);
          set(data.npl2,'Displayname','adiabatisch');
          
          %isobar
          [T2i,p2i,V2i,dUi,dWi,dQi,dSi,pv,Vv,Sv,Tv]=isob(T1,p1,V1,cp,efall,wert,points);
          set(data.pl3,'xdata',pv,'ydata',Vv);
          set(data.pl3,'Displayname','isobar');
          set(data.npl3,'xdata',Sv,'ydata',Tv);
          set(data.npl3,'Displayname','isobar');
          
          %isochor
          [T2c,p2c,V2c,dUc,dWc,dQc,dSc,pv,Vv,Sv,Tv]= isochor(T1,p1,V1,cv,efall,wert,points);
          set(data.pl4,'xdata',pv,'ydata',Vv);
          set(data.pl4,'Displayname','isochor');
          set(data.npl4,'xdata',Sv,'ydata',Tv);
          set(data.npl4,'Displayname','isochor');
          
          %Ausgabe
          Zeilen=['polyt.';'adiab.';'isoba.';'isoch.'];
          set(data.tab1,'Columnname',Zeilen);
          berWert=zeros(7,4);
          berWert(1:end,1)=[dUp;dWp;dQp;dSp;V2p;p2p;T2p];
          berWert(1:end,2)=[dUa;dWa;dQa;dSa;V2a;p2a;T2a];
          berWert(1:end,3)=[dUi;dWi;dQi;dSi;V2i;p2i;T2i];
          berWert(1:end,4)=[dUc;dWc;dQc;dSc;V2c;p2c;T2c];
          set(data.tab1,'data',berWert);
  end
%%%sichtbar machen
 set(data.Tsdiagramm,'visible','on');
end

